PowerPoint3ParserInternal::TextZone Struct Reference

Internal: a text zone of a PowerPoint3Parser. More...

## Public Member Functions

| TextZone ()
| constructor
bool | empty () const
| return true if the zone has no text

## Public Attributes

int | m_rulerId
| the ruler id
MWAWBox2i | m_box
| the bdbox
MWAWEntry | m_text
| the text entry
MWAWEntry | m_fonts
| the fonts entry
MWAWEntry | m_rulers
| the ruler entry
bool | m_centered
| force horizontal centered
bool | m_wrapText
| wrap the text
bool | m_adjustSize
| adjust the textbox size

## Detailed Description

Internal: a text zone of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## TextZone()

PowerPoint3ParserInternal::TextZone::TextZone | ( |  | ) |

inline

constructor

## Member Function Documentation

## empty()

bool PowerPoint3ParserInternal::TextZone::empty | ( |  | ) | const

inline

return true if the zone has no text

## Member Data Documentation

## m_adjustSize

bool PowerPoint3ParserInternal::TextZone::m_adjustSize

adjust the textbox size

Referenced by PowerPoint3Parser::readTextZone(), and TextZone().

## m_box

MWAWBox2i PowerPoint3ParserInternal::TextZone::m_box

the bdbox

Referenced by PowerPoint3Parser::readTextZone(), and TextZone().

## m_centered

bool PowerPoint3ParserInternal::TextZone::m_centered

force horizontal centered

Referenced by PowerPoint3Parser::readTextZone(), and TextZone().

## m_fonts

MWAWEntry PowerPoint3ParserInternal::TextZone::m_fonts

the fonts entry

Referenced by PowerPoint3Parser::readTextZone(), and TextZone().

## m_rulerId

int PowerPoint3ParserInternal::TextZone::m_rulerId

the ruler id

Referenced by PowerPoint3Parser::readTextZone(), and TextZone().

## m_rulers

MWAWEntry PowerPoint3ParserInternal::TextZone::m_rulers

the ruler entry

Referenced by PowerPoint3Parser::readTextZone(), and TextZone().

## m_text

MWAWEntry PowerPoint3ParserInternal::TextZone::m_text

the text entry

Referenced by empty(), PowerPoint3Parser::readTextZone(), and TextZone().

## m_wrapText

bool PowerPoint3ParserInternal::TextZone::m_wrapText

wrap the text

Referenced by PowerPoint3Parser::readTextZone(), and TextZone().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx